Skip to Content
inclamoDocs

Update Canned Response in Account

PATCH
/api/v1/accounts/{account_id}/canned_responses/{id}

Update a Canned Response in Account

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

id*integer

The ID of the canned response to be updated.

account_id*integer

The numeric ID of the account

Request Body

application/json
  1. body
content?string

Message content for canned response

short_code?string

Short Code for quick access of the canned response

Response Body

Success

application/json
  1. response
id?integer

ID of the canned response

account_id?integer

Account Id

short_code?string

Short Code for quick access of the canned response

content?string

Message content for canned response

created_at?string

The date and time when the canned response was created

updated_at?string

The date and time when the canned response was updated

Example Request
curl -X PATCH 'https://helpdesk.inclamo.com/api/v1/accounts/0/canned_responses/0' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": 0,  "account_id": 0,  "short_code": "string",  "content": "string",  "created_at": "string",  "updated_at": "string"}